#!/bin/bash

# CC BY-NC-SA 4.0 Felix Baumann
# https://creativecommons.org/licenses/by-nc-sa/4.0
# 2017
# Script is provided as supplemental material
# for the article F. W. Baumann and D. Roller "Overview of German Additive Manufacturing Companies"

# Returns Bing result numbers when queried for the hostname

URL=${1}

RESULTS=$(           elinks -dump "http://www.bing.com/search?q=%22${URL}%22&qs=n&forLH&sp=-1&sc=0-25&sk=" | grep "results" | grep "Region" | awk '{ print $1 }' | tr -dc "[0-9]" )
RESULTS_FROM_HOST=$( elinks -dump "http://www.bing.com/search?q=site%3A${URL}&qs=n&form=QBRE&sp=-1&sc=0-28&sk=" | grep "results" | grep "Region" | awk '{ print $1 }' | tr -dc "[0-9]" )

echo "${RESULTS:-N/A};${RESULTS_FROM_HOST:-N/A}"

